version: "3"

services:
  mysql:
    image: mysql:8.0
    restart: always
    environment:
      - MYSQL_DATABASE=assignment
      - MYSQL_ROOT_PASSWORD=p@ssw0rd
      - MYSQL_USERNAME=root
    ports:
      - "3306:3307"

  myapp:
    image: ahmedtafili/my-app:240711-200f77b1
    environment:
      SPRING_PROFILES_ACTIVE: mysql
      SPRING_DATASOURCE_URL: jdbc:mysql://mysql:3306/assignment?allowPublicKeyRetrieval=true
      SPRING_DATASOURCE_USERNAME: root
      SPRING_DATASOURCE_PASSWORD: p@ssw0rd
    ports:
      - "8090:8091"
    depends_on:
      - mysql
    restart: always
